import java.util.*;
import java.lang.*;
 
/*
 * Bartosz "WiedMAC" Bednarczyk
 * Liceum Oglnoksztacce im. Wadysawa Broniewskiego w Strzelcach Opolskich
 * Sprawdzanie parzystoci symbolu newtona - twierdzenie Lagrange'a ( Java )
 * www.algorytm.org
 */
 
class Main
{
        public static long Lagrange( int  n )        // Twierdzenie Lagrange'a
        {
                long W = 2, Wyk =0;
                
                while( n / W >= 1 )     // Dopki N / W jest wiksze rwne 1
                {
                        Wyk += n / W;   // Do wykadnika dodaj iloraz n i W
                        W *= 2;         // Pom W
                }
                
                return Wyk;     // Zwr wykadnik
        } 
 
        public static void main (String[] args) throws java.lang.Exception
        {
                Scanner scanner = new Scanner(System.in);
                
                int n = scanner.nextInt();
                int k = scanner.nextInt();
                
                if( k > n ) System.out.println("Ta liczba jest parzysta");  
                else
                {
                        if( Lagrange(n) > (Lagrange( k )+Lagrange(n-k)) ) System.out.println("Ta liczba jest parzysta");  
                        else System.out.println("Ta liczba nie jest parzysta");
                }     
              
        }
}